Index: /extensions/Mail_supervisor/admin/mail_superv_admin.php
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 10821)
+++ /extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 10822)
@@ -167,40 +167,40 @@
 
     if ( $_POST['submit'] == l10n('Sv_raz')   ) {
-     $mails_donnees['date_quarantaine']=time();
-     $mails_donnees['nb_mails'] = 0  ;
-     $mails_donnees['nb_spams'] = 0  ;
-     $mails_donnees['date_mail'] = time();
-     $mails_donnees['date_spam'] = time();
-     $mails_donnees['reste'] = 0;
-     $mails_donnees['quarantaine']='false';
-    mail_supervisor::sauve_donnees();
-     $infos_message .=  l10n('Sv_raz') .'<br />';
+      $mails_donnees['date_quarantaine']=time();
+      $mails_donnees['nb_mails'] = 0  ;
+      $mails_donnees['nb_spams'] = 0  ;
+      $mails_donnees['date_mail'] = time();
+      $mails_donnees['date_spam'] = time();
+      $mails_donnees['reste'] = 0;
+      $mails_donnees['quarantaine']='false';
+      mail_supervisor::sauve_donnees();
+      $infos_message .=  l10n('Sv_raz') .'<br />';
     }
 
   //===================================================================
     if ( $_POST['submit'] == l10n('Sv_Valider') ) {
-    $mails_options['check_mailto'] = isset($_POST['check_mailto']) ? $_POST['check_mailto'] : 'off' ;
-    $mails_options['check_header_carbon'] = isset($_POST['check_header_carbon']) ? $_POST['check_header_carbon'] : 'off' ;
-    $mails_options['check_header_text'] = isset($_POST['check_header_text']) ? $_POST['check_header_text'] : 'off' ;
-
-    //donnees
-    $mails_donnees['nb_mails_maxi'] = isset($_POST['nb_mails_maxi']) ? $_POST['nb_mails_maxi'] :  $mails_donnees['nb_mails_maxi']  ;
-    $mails_donnees['nb_mails_periode'] = isset($_POST['nb_mails_periode']) ? $_POST['nb_mails_periode'] :  $mails_donnees['nb_mails_periode']  ;
-    $mails_donnees['nb_spams_maxi'] = isset($_POST['nb_spams_maxi']) ? $_POST['nb_spams_maxi'] :  $mails_donnees['nb_spams_maxi']  ;
-    $mails_donnees['nb_spams_periode'] = isset($_POST['nb_spams_periode']) ? $_POST['nb_spams_periode'] :  $mails_donnees['nb_spams_periode']  ;
-
-    $mails_donnees['quarantaine_periode'] = isset($_POST['quarantaine_periode']) ? $_POST['quarantaine_periode'] :  $mails_donnees['quarantaine_periode']  ;
-
-    $mails_donnees['message'] = isset($_POST['content']) ? $_POST['content'] :  $mails_donnees['message']  ;
-    $mails_donnees['header_text'] = isset($_POST['header_text']) ? $_POST['header_text'] :  $mails_donnees['header_text']  ;
-    //=======================================================================================================
-    verif_mails_donnees();
-    mail_supervisor::sauve_options();
-    mail_supervisor::sauve_donnees();
-    //==============================================================================
-    $infos_message  =  l10n('Sv_save_config') . " : " . l10n('Sv_Datas') . "<br />" ;
-    $erreur_message = "";
-    $mails_donnees = mail_supervisor::Get_Datas() ;
-  }
+      $mails_options['check_mailto'] = isset($_POST['check_mailto']) ? $_POST['check_mailto'] : 'off' ;
+      $mails_options['check_header_carbon'] = isset($_POST['check_header_carbon']) ? $_POST['check_header_carbon'] : 'off' ;
+      $mails_options['check_header_text'] = isset($_POST['check_header_text']) ? $_POST['check_header_text'] : 'off' ;
+
+      //donnees
+      $mails_donnees['nb_mails_maxi'] = isset($_POST['nb_mails_maxi']) ? $_POST['nb_mails_maxi'] :  $mails_donnees['nb_mails_maxi']  ;
+      $mails_donnees['nb_mails_periode'] = isset($_POST['nb_mails_periode']) ? $_POST['nb_mails_periode'] :  $mails_donnees['nb_mails_periode']  ;
+      $mails_donnees['nb_spams_maxi'] = isset($_POST['nb_spams_maxi']) ? $_POST['nb_spams_maxi'] :  $mails_donnees['nb_spams_maxi']  ;
+      $mails_donnees['nb_spams_periode'] = isset($_POST['nb_spams_periode']) ? $_POST['nb_spams_periode'] :  $mails_donnees['nb_spams_periode']  ;
+
+      $mails_donnees['quarantaine_periode'] = isset($_POST['quarantaine_periode']) ? $_POST['quarantaine_periode'] :  $mails_donnees['quarantaine_periode']  ;
+
+      $mails_donnees['message'] = isset($_POST['content']) ? $_POST['content'] :  $mails_donnees['message']  ;
+      $mails_donnees['header_text'] = isset($_POST['header_text']) ? $_POST['header_text'] :  $mails_donnees['header_text']  ;
+      //=======================================================================================================
+      verif_mails_donnees();
+      mail_supervisor::sauve_options();
+      mail_supervisor::sauve_donnees();
+      //==============================================================================
+      $infos_message  =  l10n('Sv_save_config') . " : " . l10n('Sv_Datas') . "<br />" ;
+      $erreur_message = "";
+      $mails_donnees = mail_supervisor::Get_Datas() ;
+    }
  }
     $mails_donnees = mail_supervisor::Get_Datas();
@@ -287,8 +287,11 @@
 
  if (function_exists('get_user_language_desc') ) $message = get_user_language_desc($message);
- if ( $_POST['Submit']==l10n('Sv_Valider') ) {
-     $mails_donnees['message_test']= str_replace('"',"'",$message) ;
-    mail_supervisor::sauve_donnees();
-    $_POST['Submit']="";
+
+if ( $_POST['Submit']==l10n('Sv_Valider') ) {
+  $mails_donnees['message_test']= str_replace('"',"'",$message) ;     
+  mail_supervisor::sauve_donnees();
+  $mails_options['debug_mail'] = isset($_POST['debug_mail']) ? "on" : "off" ;
+  mail_supervisor::sauve_options();
+  $_POST['Submit']="";
  }else if ( $_POST['Submit']==l10n('Sv_Envoyer') ) {
      /*
@@ -318,9 +321,8 @@
               );
 
-    $mails_donnees['message_test']= str_replace('"',"'",$message) ;
-
-    unset_make_full_url();
+    $mails_donnees['message_test']= str_replace('"',"'",$message) ;     
     mail_supervisor::sauve_donnees();
-    $mails_donnees = mail_supervisor::Get_Datas() ;
+    $mails_options['debug_mail'] = isset($_POST['debug_mail']) ? "on" : "off" ;
+    mail_supervisor::sauve_options();
     $query = 'SELECT
             name
@@ -362,7 +364,5 @@
  $List_dest=get_liste($group_id) ;
    //$destinataires= implode("<br />".$chk_cl,get_liste($group_id));
-*/  
-
-
+*/
   $destinataires="";
 $List_dest = get_liste($group_id) ;
@@ -372,4 +372,6 @@
   if( $destinataires !="" ) $infos_message .= " List :<hr>" .  $destinataires . "<hr>" ;
 
+   $mails_options['debug_mail'] = isset($mails_options['debug_mail']) ? $mails_options['debug_mail'] : "off" ;
+
   $template->assign(
                     array(
@@ -377,5 +379,5 @@
                         'message_test' => $mails_donnees['message_test'] ,
                         'liste' =>  get_liste($group_id) ,
-                       
+                         'debug_mail' => ($mails_options['debug_mail'] == 'on') ? 'checked="checked"' : '' ,
                         'version' =>   $version ,
                         'MAIL_CONTENT' => $mails_donnees['message_test'],
@@ -430,5 +432,6 @@
      $mails_options['no_connect'] = isset($_POST['no_connect']) ? "on" : "off" ;
      $mails_options['set_auto'] = isset($_POST['set_auto']) ? "on" : "off" ;
-     $mails_options['set_id'] = isset($_POST['set_id']) ? "on" : "off" ;
+     $mails_options['set_id'] = isset($_POST['set_id']) ? "on" : "off" ;    
+
      mail_supervisor::sauve_options();
      $infos_message .=  l10n('Sv_save_config') . '<br />';
Index: /extensions/Mail_supervisor/admin/mail_superv_test.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_test.tpl	(revision 10821)
+++ /extensions/Mail_supervisor/admin/mail_superv_test.tpl	(revision 10822)
@@ -19,5 +19,8 @@
         </select>
       </td>
-          <td  >
+      <td  >
+      <input type="checkbox" name="debug_mail" value="on" {$debug_mail} />&nbsp;&nbsp;{'Sv_debug_mail'|translate}
+      </td>
+      <td  >
           {if not empty($liste)}
            
@@ -29,5 +32,6 @@
          </td>
     </tr>
-
+    </table>
+    <table>
     <tr>
       <td><strong>{'Sv_mail_content'|@translate}</strong></td>
Index: /extensions/Mail_supervisor/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/en_UK/plugin.lang.php	(revision 10821)
+++ /extensions/Mail_supervisor/language/en_UK/plugin.lang.php	(revision 10822)
@@ -5,4 +5,5 @@
 if( !isset($lang['Second'])) $lang['Second'] =   l10n('Seconde');
 //=======================================================
+$lang['Sv_debug_mail'] = 'Debug.';
 $lang['Sv_Datas'] =  'Datas' ;
 $lang['Sv_Group'] = $lang['Group'];
@@ -103,11 +104,24 @@
                               ' The       %s <br />' ;
 
-$lang['Sv_debug_message']=    '
-The mail function returned [%s] <br />
-MESSAGE error : [ %s ] <br />
-mailto:   [ %s ]  <br />
-HEADERS:   [ %s ]  <br />
-Number of recipients [ %s ]<br />
-';
+
+
+    $ms_f1='The mail function returned ';
+    $ms_f2='MESSAGE error';
+    $ms_f3='MAILTO';
+    $ms_f4='SUBJECT';
+    $ms_f5='HEADERS';
+    $ms_f6='CONTENT';
+    $ms_f7='Number of recipients';
+
+$lang['Sv_debug_message']=  '<div style="border: 1px solid red; color: green;">
+    '.$ms_f1.' :<div style="background-color:white;color: black;"> %s </div>
+    '.$ms_f2.' :<div style="background-color:white; color: black;"> %s </div>
+    '.$ms_f3.' :<div style="background-color:white; color: black;"> %s </div>
+    '.$ms_f4.' :<div style="background-color:white; color: black;"> %s </div>
+    '.$ms_f5.' :<div style="background-color:white; color: black;"> %s </div>
+    '.$ms_f6.' :<div style="background-color:white; color: black;"> %s </div>
+    '.$ms_f7.' %s 
+  </div>';
+
 
 $lang['Sv_message_texte "%s" "%s" "%s" "%s"'] ='
Index: /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 10821)
+++ /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 10822)
@@ -5,5 +5,5 @@
 if( !isset($lang['Second'])) $lang['Second'] =   l10n('Seconde');
 //=======================================================
-
+$lang['Sv_debug_mail'] = 'Débogage.';
 $lang['Sv_Are_you_sure'] =  'Etes-vous sûr' ;
 $lang['Sv_no_verif'] =  'IP Non vérifié.' ;
@@ -108,11 +108,21 @@
                             ' Le        %s <br />' ;
 
-$lang['Sv_debug_message']=  '
-La fonction mail à retourné [%s] <br />
-MESSAGE erreur : [ %s ] <br />
-mailto:   [ %s ]  <br />
-HEADERS:   [ %s ]  <br />
-Nombre de destinataires [ %s ]<br />
-';
+    $ms_f1='La fonction mail à retourné';
+    $ms_f2='MESSAGE erreur             ';
+    $ms_f3='mailto                     ';
+    $ms_f4='SUJET                   ';
+    $ms_f5='HEADERS                 ';
+    $ms_f6='CONTENU                  ';
+    $ms_f7='Nombre de destinataires   ';
+
+$lang['Sv_debug_message']=  '<div style="border: 1px solid red; color: green;">
+    '.$ms_f1.' :<div style="background-color:white;color: black;"> %s </div>
+    '.$ms_f2.' :<div style="background-color:white; color: black;"> %s </div>
+    '.$ms_f3.' :<div style="background-color:white; color: black;"> %s </div>
+    '.$ms_f4.' :<div style="background-color:white; color: black;"> %s </div>
+    '.$ms_f5.' :<div style="background-color:white; color: black;"> %s </div>
+    '.$ms_f6.' :<div style="background-color:white; color: black;"> %s </div>
+    '.$ms_f7.' %s 
+  </div>';
 
 $lang['Sv_message_texte "%s" "%s" "%s" "%s"'] ='
Index: /extensions/Mail_supervisor/mail_super.inc.php
===================================================================
--- /extensions/Mail_supervisor/mail_super.inc.php	(revision 10821)
+++ /extensions/Mail_supervisor/mail_super.inc.php	(revision 10822)
@@ -232,29 +232,29 @@
   function Get_Options($parametres,$str_index){
     global $conf,$mails_options ;
-  $mails_options=  $conf[$str_index];
-
- if(isset($mails_options))
-   if ( preg_match("|s:(.*)|", $mails_options, $val) )
-    $parametres =  unserialize($conf['mail_superv']);
-   else{
-     $parametres=explode(",",$mails_options);
-
-    $def_para->check_mailto="on";
-    $def_para->check_header_carbon="on";
-    $def_para->check_header_text="on";
-    $def_para->no_mail_list="on";
-    $def_para->no_connect="on"; // empeche l'ip de se connecter au site.
-    $def_para->set_auto="on";       // Test a l'ouverture et enregistrement
-    $def_para->ip="127.0.0.1";      // dernièrre adresse IP
-    $def_para->set_id="on";       // enregistrment nouvel
-    $i=0;
-    foreach ($def_para as $key => $value) {
-        $value=$parametres[$i];
-        unset( $parametres[$i]) ;
-        $parametres[$key]= $value  ;
-        $i++;
-    }
-     }
-  return mail_supervisor::Set_Options($parametres,$str_index);
+    $mails_options=  $conf[$str_index];
+     if(isset($mails_options))
+       if ( preg_match("|s:(.*)|", $mails_options, $val) )
+        $parametres =  unserialize($conf['mail_superv']);
+       else{
+         $parametres=explode(",",$mails_options);
+
+        $def_para->check_mailto="on";
+        $def_para->check_header_carbon="on";
+        $def_para->check_header_text="on";
+        $def_para->no_mail_list="on";
+        $def_para->no_connect="on"; // empeche l'ip de se connecter au site.
+        $def_para->set_auto="on";       // Test a l'ouverture et enregistrement
+        $def_para->ip="127.0.0.1";      // dernièrre adresse IP
+        $def_para->set_id="on";       // enregistrment nouvel
+        $def_para->debug_mail="off";       // debogage
+        $i=0;
+        foreach ($def_para as $key => $value) {
+            $value=$parametres[$i];
+            unset( $parametres[$i]) ;
+            $parametres[$key]= $value  ;
+            $i++;
+        }
+      }
+    return mail_supervisor::Set_Options($parametres,$str_index);
   }
   //==========================================================
@@ -263,6 +263,6 @@
       foreach ($parametres as $key => $value) {
        $parametres[$key]=(isset($_POST[$key]))? "on" : $value ;
-     }
-   $parametres['no_connect']= 'off' ;
+      }
+      $parametres['no_connect']= 'off' ;
      return $parametres ;
   }
Index: /extensions/Mail_supervisor/main.inc.php
===================================================================
--- /extensions/Mail_supervisor/main.inc.php	(revision 10821)
+++ /extensions/Mail_supervisor/main.inc.php	(revision 10822)
@@ -173,38 +173,25 @@
     }
    
-  $content= cl_pwg_mail($args);
-  
-
-    if (  !preg_match('/'. $conf_mail['boundary_key'] .'/', $headers)){
-        $erreur_message .=   "ERREUR manque : boundary_key dans le headers <br />";
+     $pattern = '/(http:\/\/)([0-9].*)([0-9]\/)/'; 
+     //---- si adresse avec ip , certaine boite aux lettres traite ces messages en spam (orange+windowsmail)
+  if(preg_match($pattern, $content)){
+      // remplace 192.168.1.25 par rien ??
+      $replacement = '${1}'; 
+      $content = preg_replace( $pattern, $replacement,  $content );      
+}
+
+      $content= preg_replace('#(?<!\r)\n#si', "\r\n", $content); //drop LF barre 
+
+    if (!preg_match('/'. $conf_mail['boundary_key'] .'/', $headers)){
+        $erreur_message .=   "<br />ERREUR manque : boundary_key dans le headers <br />";
         $infos_message = l10n('Sv_mail_not_send'); 
-         $envoie_ok= false ;
-    }
- 
-
-
-    if( isset($conf['debug_mail']) && $conf['debug_mail']=="true") {
-
-    //    $erreur_message .="DEBUG:"."<br />Theme: ".    $file. "<br />";
-
-        $content1 =   htmlspecialchars( var_export($headers, true ) );   
-        $erreur_message .="<br />DEBUG -> "." Header: <br />".   $content1 ."<br />";
-
-        $content1 =   htmlspecialchars( var_export($mailto, true ) );   
-        $erreur_message .="<br />DEBUG -> "." Mail to: <br />".   $content1 ."<br />";
-
-        $content1 =   htmlspecialchars( var_export($subject ,true ) );   
-        $erreur_message .="<br />DEBUG -> "." Sujet: <br />".   $content1 ."<br />";
-
-        $content1 =   htmlspecialchars( var_export($content, true ) );    
-        $erreur_message .="<br />DEBUG -> "." Contenu:<br />" . $content1 ."<br />";
-    }
-
-
-            $ret=false;
+        $envoie_ok= false ;
+    }
+            $ret=false;  
+             ob_start();
             //======== Non mise en quarantaine =============
-
-
-            ob_start();
+            //echo "warning spam" ;
+           // echo " Warning: mail() has been disabled for security reasons";
+         
               if ($nb_destinataires > 0) {
                 if( $envoie_ok)  $ret = mail($mailto, $subject,$content, $headers);
@@ -217,5 +204,5 @@
               trigger_event('mail_supervisor_mail', $arg_trigg );
               $mails_donnees['message']=$message;
-              Gestion_erreurs($message,$ret,$nb_destinataires,$headers,$mailto);
+              Gestion_erreurs($message,$ret,$nb_destinataires,$headers,$mailto, $subject,$content);
             } else {
                 //================== Est en quarantaine =======================
@@ -260,37 +247,52 @@
 }
 //===========================================================================================
-function Gestion_erreurs($message,$ret,$nb_destinataires,$headers,$mailto){
+function Gestion_erreurs($message,$ret,$nb_destinataires,$headers,$mailto, $subject,$content){
      global $conf, $user,  $conf_mail,$mails_options,$mails_donnees , $template,$page ,$infos_message,$erreur_message,$args,$lang, $lang_info;
      $match=array("<",">");
-    $string=array("&lt;","&gt;") ;
-//Warning: mail() has been disabled for security reasons
-
-    $est_un_spam =!(strpos(strtolower($message), 'spam') === false);
-    $headers=str_replace( $match,$string, $headers);
-
+     $string=array("&lt;","&gt;") ;
+     //  $headers=str_replace( $match,$string, $headers);
+    // Warning: mail() has been disabled for security reasons
+    $est_un_spam =!(strpos(strtolower($message), 'spam') === false);  
     if ( ($ret==false) || ($est_un_spam==true) || ($nb_destinataires == 0) ) {
-         ;              // Bad recipient address syntax
+        // Bad recipient address syntax
         $pos1 = strpos(strtolower($message), 'bad recipient address syntax');
         if (  !($pos1 === false) ){
             $erreur_message .= l10n('Sv_detection_de').' Bad recipient address syntax .';
             $erreur_message .= l10n('Sv_verifiez_les_destinataires').' (Bcc,Cc,To)<br />';
-            }
-
-    $erreur_message .= sprintf(l10n('Sv_debug_message'),
-    ($ret==true)? "true" : "false",
-    $message ,
-    $mailto ,
-    $headers ,
-    $nb_destinataires );
-       //=============== La fonction mail retourne une erreur =========================
-                }
-
-        if ($est_un_spam == false)
-            {
+            }               
+
+    $erreur_message .=sprintf(l10n('Sv_debug_message'),
+                              ($ret==true)? "true" : "false",
+                              htmlspecialchars($message) ,
+                              htmlspecialchars( $mailto) ,
+                              htmlspecialchars($subject) ,
+                              htmlspecialchars($headers) ,
+                              htmlspecialchars($content) ,
+                              $nb_destinataires );
+
+     Mail_supervisor_log($mailto,$erreur_message) ;   
+     //=============== La fonction mail retourne une erreur =========================
+      }else{ 
+           
+    if( isset($mails_options['debug_mail']) && $mails_options['debug_mail']=="on") {
+        $erreur_message .="DEBUG : <br />" .sprintf(l10n('Sv_debug_message'),
+                                  "DEBUG",
+                                  htmlspecialchars( $message) ,
+                                  htmlspecialchars( $mailto) ,
+                                  htmlspecialchars($subject) ,
+                                  htmlspecialchars($headers) ,
+                                  htmlspecialchars($content) ,
+                                  $nb_destinataires );
+
+         Mail_supervisor_log($mailto,$erreur_message) ; 
+        }
+      }
+
+
+
+        if ($est_un_spam == false){
                 if ($mails_donnees['nb_mails']==0) {    $mails_donnees['date_mail'] =  time();  }
                 $mails_donnees['nb_mails'] += $nb_destinataires;
-            }
-            else
-            {
+            } else {
                 $mails_donnees['nb_spams'] += $nb_destinataires;
                 //--- Detection de spam ------------------
@@ -308,4 +310,52 @@
  $ret=true;
  return $ret ;
+}
+//============================================================
+global $ms_file_log;
+$dir=$conf['local_data_dir'].'/Mail_supervisor_log';
+ if (!is_dir($dir)){  
+    $umask = umask(0);
+    $mkd = @mkdir($dir, 0755, true );
+    umask($umask);
+
+      if ($mkd==false){
+      fatal_error( "$dir ".l10n('no write access'));
+      return false;
+    }
+        $file = $dir.'/.htaccess';
+       @file_put_contents( $file, 'allow from all' );
+
+    }
+   if($ms_file_log=="") $ms_file_log=$dir."/"."pw1.html";
+
+
+//============================================================
+function Mail_supervisor_log($label_,$lines){
+  global $ms_file_log,$conf;  
+  $nb_lignes=300 ;
+$t= var_export( $lines, true );
+$s  = htmlspecialchars(  $lines);
+ $s  =  (  $lines);
+    if (!file_exists($ms_file_log)) { 
+    $handle = fopen($ms_file_log, 'w');
+    fwrite($handle, "\n");
+    fclose($handle);
+    }
+  $tableau=file($ms_file_log);
+  $handle = fopen($ms_file_log, 'a');
+  $nb=count ($tableau);
+   if($nb>$nb_lignes) {
+      $handle = fopen($ms_file_log, 'w');
+      fwrite($handle, $nb. " > " . $nb_lignes . "  RAZ " ."\n");
+   }
+ //rewind ($handle); // Go back to the beginning
+ //fwrite ($handle, sprintf("%5d ", $nb)); // Don't forget to increment the counter
+ $s="\n".date('Y m d H:m:s ')."\n".$s;
+
+
+$s= nl2br($s);
+
+ if( $s !="") fwrite($handle,$s );
+      fclose($handle);
 }
 
@@ -432,13 +482,5 @@
   unset_make_full_url(); 
 
-  $pattern = '/(http:\/\/)([0-9].*)([0-9]\/)/'; 
-  if(preg_match($pattern, $content)){
-  //remplace 192.168.1.25 par rien ??
-      $replacement = '${1}'; 
-      $content = preg_replace( $pattern, $replacement,  $content ); 
-      //$content1 =   htmlspecialchars( var_export($content, true ) );     
-}
-
-      $content= preg_replace('#(?<!\r)\n#si', "\r\n", $content); //drop LF barre
+
 
   return    $content;
Index: /extensions/Mail_supervisor/maintain.inc.php
===================================================================
--- /extensions/Mail_supervisor/maintain.inc.php	(revision 10821)
+++ /extensions/Mail_supervisor/maintain.inc.php	(revision 10822)
@@ -37,4 +37,5 @@
     $my_para['ip']="127.0.0.1";     // dernièrre adresse IP
     $my_para['set_id']="on";          // enregistrment nouvel
+    $my_para['debug_mail']="off";    // debogage
     $mails_values=  addslashes(serialize($my_para));
     $query = 'INSERT INTO '.CONFIG_TABLE.' (param, value, comment)