Index: /trunk/about.php
===================================================================
--- /trunk/about.php	(revision 10823)
+++ /trunk/about.php	(revision 10824)
@@ -52,5 +52,5 @@
 // include menubar
 $themeconf = $template->get_template_vars('themeconf');
-if (!isset($themeconf['Exclude']) OR !in_array('theAboutPage', $themeconf['Exclude']))
+if (!isset($themeconf['hide_menu_on']) OR !in_array('theAboutPage', $themeconf['hide_menu_on']))
 {
   include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
Index: /trunk/comments.php
===================================================================
--- /trunk/comments.php	(revision 10823)
+++ /trunk/comments.php	(revision 10824)
@@ -531,5 +531,5 @@
 // include menubar
 $themeconf = $template->get_template_vars('themeconf');
-if (!isset($themeconf['Exclude']) OR !in_array('theCommentsPage', $themeconf['Exclude']))
+if (!isset($themeconf['hide_menu_on']) OR !in_array('theCommentsPage', $themeconf['hide_menu_on']))
 {
   include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
Index: /trunk/identification.php
===================================================================
--- /trunk/identification.php	(revision 10823)
+++ /trunk/identification.php	(revision 10824)
@@ -99,5 +99,5 @@
 // include menubar
 $themeconf = $template->get_template_vars('themeconf');
-if (!isset($themeconf['Exclude']) OR !in_array('theIdentificationPage', $themeconf['Exclude']))
+if (!isset($themeconf['hide_menu_on']) OR !in_array('theIdentificationPage', $themeconf['hide_menu_on']))
 {
   include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
Index: /trunk/nbm.php
===================================================================
--- /trunk/nbm.php	(revision 10823)
+++ /trunk/nbm.php	(revision 10824)
@@ -81,5 +81,5 @@
 // include menubar
 $themeconf = $template->get_template_vars('themeconf');
-if (!isset($themeconf['Exclude']) OR !in_array('theNBMPage', $themeconf['Exclude']))
+if (!isset($themeconf['hide_menu_on']) OR !in_array('theNBMPage', $themeconf['hide_menu_on']))
 {
   include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
Index: /trunk/notification.php
===================================================================
--- /trunk/notification.php	(revision 10823)
+++ /trunk/notification.php	(revision 10824)
@@ -81,5 +81,5 @@
 // include menubar
 $themeconf = $template->get_template_vars('themeconf');
-if (!isset($themeconf['Exclude']) OR !in_array('theNotificationPage', $themeconf['Exclude']))
+if (!isset($themeconf['hide_menu_on']) OR !in_array('theNotificationPage', $themeconf['hide_menu_on']))
 {
   include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
Index: /trunk/password.php
===================================================================
--- /trunk/password.php	(revision 10823)
+++ /trunk/password.php	(revision 10824)
@@ -156,5 +156,5 @@
 // include menubar
 $themeconf = $template->get_template_vars('themeconf');
-if (!isset($themeconf['Exclude']) OR !in_array('thePasswordPage', $themeconf['Exclude']))
+if (!isset($themeconf['hide_menu_on']) OR !in_array('thePasswordPage', $themeconf['hide_menu_on']))
 {
   include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
Index: /trunk/picture.php
===================================================================
--- /trunk/picture.php	(revision 10823)
+++ /trunk/picture.php	(revision 10824)
@@ -1043,5 +1043,5 @@
 // include menubar
 $themeconf = $template->get_template_vars('themeconf');
-if ($conf['picture_menu'] AND (!isset($themeconf['Exclude']) OR !in_array('theIdentificationPage', $themeconf['Exclude'])))
+if ($conf['picture_menu'] AND (!isset($themeconf['hide_menu_on']) OR !in_array('thePicturePage', $themeconf['hide_menu_on'])))
 {
   include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
Index: /trunk/profile.php
===================================================================
--- /trunk/profile.php	(revision 10823)
+++ /trunk/profile.php	(revision 10824)
@@ -86,5 +86,5 @@
   // include menubar
   $themeconf = $template->get_template_vars('themeconf');
-  if (!isset($themeconf['Exclude']) OR !in_array('theProfilePage', $themeconf['Exclude']))
+  if (!isset($themeconf['hide_menu_on']) OR !in_array('theProfilePage', $themeconf['hide_menu_on']))
   {
     include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
Index: /trunk/register.php
===================================================================
--- /trunk/register.php	(revision 10823)
+++ /trunk/register.php	(revision 10824)
@@ -99,5 +99,5 @@
 // include menubar
 $themeconf = $template->get_template_vars('themeconf');
-if (!isset($themeconf['Exclude']) OR !in_array('theRegisterPage', $themeconf['Exclude']))
+if (!isset($themeconf['hide_menu_on']) OR !in_array('theRegisterPage', $themeconf['hide_menu_on']))
 {
   include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
Index: /trunk/search.php
===================================================================
--- /trunk/search.php	(revision 10823)
+++ /trunk/search.php	(revision 10824)
@@ -231,5 +231,5 @@
 // include menubar
 $themeconf = $template->get_template_vars('themeconf');
-if (!isset($themeconf['Exclude']) OR !in_array('theSearchPage', $themeconf['Exclude']))
+if (!isset($themeconf['hide_menu_on']) OR !in_array('theSearchPage', $themeconf['hide_menu_on']))
 {
   include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
Index: /trunk/tags.php
===================================================================
--- /trunk/tags.php	(revision 10823)
+++ /trunk/tags.php	(revision 10824)
@@ -194,5 +194,5 @@
 // include menubar
 $themeconf = $template->get_template_vars('themeconf');
-if (!isset($themeconf['Exclude']) OR !in_array('theTagsPage', $themeconf['Exclude']))
+if (!isset($themeconf['hide_menu_on']) OR !in_array('theTagsPage', $themeconf['hide_menu_on']))
 {
   include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
Index: /trunk/themes/default/template/about.tpl
===================================================================
--- /trunk/themes/default/template/about.tpl	(revision 10823)
+++ /trunk/themes/default/template/about.tpl	(revision 10824)
@@ -2,5 +2,9 @@
 <div id="content" class="content">
   <div class="titrePage">
-    <ul class="categoryActions"></ul>
+    <ul class="categoryActions">
+      <li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
+        <span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
+      </a></li>
+    </ul>
     <h2>{'About'|@translate}</h2>
   </div>
Index: /trunk/themes/default/template/comments.tpl
===================================================================
--- /trunk/themes/default/template/comments.tpl	(revision 10823)
+++ /trunk/themes/default/template/comments.tpl	(revision 10824)
@@ -3,5 +3,9 @@
 
 <div class="titrePage">
-	<ul class="categoryActions"></ul>
+	<ul class="categoryActions">
+		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
+			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
+		</a></li>
+  </ul>
 	<h2>{'User comments'|@translate}</h2>
 </div>
Index: /trunk/themes/default/template/identification.tpl
===================================================================
--- /trunk/themes/default/template/identification.tpl	(revision 10823)
+++ /trunk/themes/default/template/identification.tpl	(revision 10824)
@@ -3,5 +3,9 @@
 
 <div class="titrePage">
-	<ul class="categoryActions"></ul>
+	<ul class="categoryActions">
+		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
+			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
+		</a></li>
+  </ul>
 	<h2>{'Identification'|@translate}</h2>
 </div>
Index: /trunk/themes/default/template/nbm.tpl
===================================================================
--- /trunk/themes/default/template/nbm.tpl	(revision 10823)
+++ /trunk/themes/default/template/nbm.tpl	(revision 10824)
@@ -2,5 +2,9 @@
 <div id="content" class="content">
 	<div class="titrePage">
-		<ul class="categoryActions"></ul>
+		<ul class="categoryActions">
+      <li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
+        <span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
+      </a></li>
+    </ul>
 		<h2>{'Notification'|@translate}</h2>
 	</div>
Index: /trunk/themes/default/template/notification.tpl
===================================================================
--- /trunk/themes/default/template/notification.tpl	(revision 10823)
+++ /trunk/themes/default/template/notification.tpl	(revision 10824)
@@ -8,5 +8,9 @@
 
   <div class="titrePage">
-    <ul class="categoryActions"></ul>
+    <ul class="categoryActions">
+      <li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
+        <span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
+      </a></li>
+    </ul>
     <h2>{'Notification'|@translate}</h2>
   </div>
Index: /trunk/themes/default/template/password.tpl
===================================================================
--- /trunk/themes/default/template/password.tpl	(revision 10823)
+++ /trunk/themes/default/template/password.tpl	(revision 10824)
@@ -3,5 +3,9 @@
 
 	<div class="titrePage">
-		<ul class="categoryActions"></ul>
+		<ul class="categoryActions">
+      <li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
+        <span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
+      </a></li>
+    </ul>
 		<h2>{'Password forgotten'|@translate}</h2>
 	</div>
Index: /trunk/themes/default/template/profile.tpl
===================================================================
--- /trunk/themes/default/template/profile.tpl	(revision 10823)
+++ /trunk/themes/default/template/profile.tpl	(revision 10824)
@@ -13,5 +13,9 @@
 
 <div class="titrePage">
-	<ul class="categoryActions"></ul>
+	<ul class="categoryActions">
+		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
+			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
+		</a></li>
+  </ul>
 	<h2>{'Profile'|@translate}</h2>
 </div>
Index: /trunk/themes/default/template/register.tpl
===================================================================
--- /trunk/themes/default/template/register.tpl	(revision 10823)
+++ /trunk/themes/default/template/register.tpl	(revision 10824)
@@ -5,5 +5,9 @@
 
 <div class="titrePage">
-	<ul class="categoryActions"></ul>
+	<ul class="categoryActions">
+		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
+			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
+		</a></li>
+  </ul>
 	<h2>{'Registration'|@translate}</h2>
 </div>
Index: /trunk/themes/default/template/search.tpl
===================================================================
--- /trunk/themes/default/template/search.tpl	(revision 10823)
+++ /trunk/themes/default/template/search.tpl	(revision 10824)
@@ -24,4 +24,7 @@
 				<span class="pwg-icon pwg-icon-help">&nbsp;</span><span class="pwg-button-text">{'Help'|@translate}</span>
 			</a></li>
+      <li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
+        <span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
+      </a></li>
 		</ul>
 		<h2>{'Search'|@translate}</h2>
Index: /trunk/themes/default/template/tags.tpl
===================================================================
--- /trunk/themes/default/template/tags.tpl	(revision 10823)
+++ /trunk/themes/default/template/tags.tpl	(revision 10824)
@@ -14,4 +14,7 @@
 		</a></li>
 {/if}
+		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
+			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
+		</a></li>
 	</ul>
 	<h2>{'Tags'|@translate}</h2>