Index: /extensions/hr_glass_xl/admin/admin.inc.php
===================================================================
--- /extensions/hr_glass_xl/admin/admin.inc.php	(revision 10827)
+++ /extensions/hr_glass_xl/admin/admin.inc.php	(revision 10827)
@@ -0,0 +1,39 @@
+<?php
+
+load_language('theme.lang', PHPWG_THEMES_PATH.'hr_glass_xl/');
+
+$options = array(
+  'home',
+  'categories',
+  'picture',
+  'other',
+);
+
+if (isset($_POST['submit']))
+{
+  foreach ($options as $option)
+  {
+    $_POST['foo'][$option] = empty($_POST['foo'][$option]) ? false : true;
+  }
+
+  $query = '
+UPDATE '.CONFIG_TABLE.'
+SET value = "'.addslashes(serialize($_POST['foo'])).'"
+WHERE param = "hr_glass_xl"
+;';
+  pwg_query($query);
+
+  array_push($page['infos'], l10n('Information data registered in database'));
+
+  load_conf_from_db();
+}
+
+$template->set_filenames(array(
+    'theme_admin_content' => dirname(__FILE__) . '/admin.tpl'));
+
+$template->assign('foo', unserialize($conf['hr_glass_xl']));
+
+$template->assign_var_from_handle('ADMIN_CONTENT', 'theme_admin_content');
+
+
+?>
Index: /extensions/hr_glass_xl/admin/admin.tpl
===================================================================
--- /extensions/hr_glass_xl/admin/admin.tpl	(revision 10827)
+++ /extensions/hr_glass_xl/admin/admin.tpl	(revision 10827)
@@ -0,0 +1,30 @@
+<div class="titrePage">
+  <h2>hr Glass XL</h2>
+</div>
+
+<form method="post" class="properties" action="" ENCTYPE="multipart/form-data" name="form" class="properties">
+<div id="configContent">
+  <fieldset id="mainConfCheck">
+    <legend></legend>
+      <ul>
+        <li>
+          <span class="property">{'Display page banner on home page'|@translate}</span>
+          <input type="checkbox" name="foo[home]" value="true" {if $foo.home}checked="checked"{/if}>
+        </li>
+        <li>
+          <span class="property">{'Display page banner on categories pages'|@translate}</span>
+          <input type="checkbox" name="foo[categories]" value="true" {if $foo.categories}checked="checked"{/if}>
+        </li>
+        <li>
+          <span class="property">{'Display page banner on picture page'|@translate}</span>
+          <input type="checkbox" name="foo[picture]" value="true" {if $foo.picture}checked="checked"{/if}>
+        </li>
+        <li>
+          <span class="property">{'Display page banner on other pages'|@translate}</span>
+          <input type="checkbox" name="foo[other]" value="true" {if $foo.other}checked="checked"{/if}>
+        </li>
+      </ul>
+  </fieldset>
+</div>
+<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit" /></p>
+</form>
Index: /extensions/hr_glass_xl/admin/index.php
===================================================================
--- /extensions/hr_glass_xl/admin/index.php	(revision 10827)
+++ /extensions/hr_glass_xl/admin/index.php	(revision 10827)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hr_glass_xl/admin/maintain.inc.php
===================================================================
--- /extensions/hr_glass_xl/admin/maintain.inc.php	(revision 10827)
+++ /extensions/hr_glass_xl/admin/maintain.inc.php	(revision 10827)
@@ -0,0 +1,32 @@
+<?php
+
+function theme_activate($id, $version, &$errors)
+{
+  global $prefixeTable, $conf;
+
+  if (!isset($conf['hr_glass_xl']))
+  {
+    $config = array(
+      'home'       => true,
+      'categories' => true,
+      'picture'    => false,
+      'other'      => true,
+      );
+      
+    $query = '
+INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
+VALUES ("hr_glass_xl" , "'.addslashes(serialize($config)).'" , "hr_glass_xl parameters");';
+
+    pwg_query($query);
+  }
+}
+
+function theme_deactivate()
+{
+  global $prefixeTable;
+
+  $query = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE param="hr_glass_xl" LIMIT 1;';
+  pwg_query($query);
+}
+
+?>
Index: /extensions/hr_glass_xl/language/de_DE/index.php
===================================================================
--- /extensions/hr_glass_xl/language/de_DE/index.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/de_DE/index.php	(revision 10827)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hr_glass_xl/language/de_DE/theme.lang.php
===================================================================
--- /extensions/hr_glass_xl/language/de_DE/theme.lang.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/de_DE/theme.lang.php	(revision 10827)
@@ -0,0 +1,8 @@
+<?php
+
+$lang['Display page banner on home page'] = 'Zeige den Seitenbanner auf der Homepage an';
+$lang['Display page banner on categories pages'] = 'Zeige den Seitenbanner auf den Kategorieseiten an';
+$lang['Display page banner on picture page'] = 'Zeige den Seitenbanner auf der Bilderseite an';
+$lang['Display page banner on other pages'] = 'Zeige den Seitenbanner auf den anderen Seiten an';
+
+?>
Index: /extensions/hr_glass_xl/language/en_UK/theme.lang.php
===================================================================
--- /extensions/hr_glass_xl/language/en_UK/theme.lang.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/en_UK/theme.lang.php	(revision 10827)
@@ -0,0 +1,8 @@
+<?php
+
+$lang['Display page banner on home page'] = 'Display page banner on home page';
+$lang['Display page banner on categories pages'] = 'Display page banner on categories pages';
+$lang['Display page banner on picture page'] = 'Display page banner on picture page';
+$lang['Display page banner on other pages'] = 'Display page banner on other pages';
+
+?>
Index: /extensions/hr_glass_xl/language/es_ES/index.php
===================================================================
--- /extensions/hr_glass_xl/language/es_ES/index.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/es_ES/index.php	(revision 10827)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hr_glass_xl/language/es_ES/theme.lang.php
===================================================================
--- /extensions/hr_glass_xl/language/es_ES/theme.lang.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/es_ES/theme.lang.php	(revision 10827)
@@ -0,0 +1,8 @@
+<?php
+
+$lang['Display page banner on home page'] = 'Fijar la bandera sobre la página inicial';
+$lang['Display page banner on categories pages'] = 'Fijar la bandera sobre la página de las categorías';
+$lang['Display page banner on picture page'] = 'Fijar la bandera sobre la página de las fotos';
+$lang['Display page banner on other pages'] = 'Fijar la bandera sobre otras páginas';
+
+?>
Index: /extensions/hr_glass_xl/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/hr_glass_xl/language/fr_FR/theme.lang.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/fr_FR/theme.lang.php	(revision 10827)
@@ -0,0 +1,8 @@
+<?php
+
+$lang['Display page banner on home page'] = 'Afficher la bannière sur la page d\'accueil';
+$lang['Display page banner on categories pages'] = 'Afficher la bannière sur la page des catégories';
+$lang['Display page banner on picture page'] = 'Afficher la bannière sur la page des photos';
+$lang['Display page banner on other pages'] = 'Afficher la bannière sur les autres pages';
+
+?>
Index: /extensions/hr_glass_xl/language/hu_HU/index.php
===================================================================
--- /extensions/hr_glass_xl/language/hu_HU/index.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/hu_HU/index.php	(revision 10827)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hr_glass_xl/language/hu_HU/theme.lang.php
===================================================================
--- /extensions/hr_glass_xl/language/hu_HU/theme.lang.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/hu_HU/theme.lang.php	(revision 10827)
@@ -0,0 +1,8 @@
+<?php
+
+$lang['Display page banner on home page'] = 'Oldal banner megjelenítése a főoldalon';
+$lang['Display page banner on categories pages'] = 'Oldal banner megjelenítése a kategóriák oldalon';
+$lang['Display page banner on picture page'] = 'Oldal banner megjelenítése a kép oldalon';
+$lang['Display page banner on other pages'] = 'Oldal banner megjelenítése a többi oldalon';
+
+?>
Index: /extensions/hr_glass_xl/language/index.php
===================================================================
--- /extensions/hr_glass_xl/language/index.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/index.php	(revision 10827)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hr_glass_xl/language/it_IT/index.php
===================================================================
--- /extensions/hr_glass_xl/language/it_IT/index.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/it_IT/index.php	(revision 10827)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hr_glass_xl/language/it_IT/theme.lang.php
===================================================================
--- /extensions/hr_glass_xl/language/it_IT/theme.lang.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/it_IT/theme.lang.php	(revision 10827)
@@ -0,0 +1,8 @@
+<?php
+
+$lang['Display page banner on home page'] = 'Visualizza il banner sulla pagina principale';
+$lang['Display page banner on categories pages'] = 'Visualizza il banner sulla pagina delle categorie';
+$lang['Display page banner on picture page'] = 'Visualizza il banner sulla pagine delle foto';
+$lang['Display page banner on other pages'] = 'Visualizza banner sulle altre pagine';
+
+?>
Index: /extensions/hr_glass_xl/language/lv_LV/index.php
===================================================================
--- /extensions/hr_glass_xl/language/lv_LV/index.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/lv_LV/index.php	(revision 10827)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hr_glass_xl/language/lv_LV/theme.lang.php
===================================================================
--- /extensions/hr_glass_xl/language/lv_LV/theme.lang.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/lv_LV/theme.lang.php	(revision 10827)
@@ -0,0 +1,8 @@
+<?php
+
+$lang['Display page banner on home page'] = 'Rādīt lapas baneri mājas lapā';
+$lang['Display page banner on categories pages'] = 'Rādīt lapas baneri kategoriju lapā';
+$lang['Display page banner on picture page'] = 'Rādīt lapas baneri attēlu lapā';
+$lang['Display page banner on other pages'] = 'Rādīt lapas baneri citās lapās';
+
+?>
Index: /extensions/hr_glass_xl/language/no_NO/index.php
===================================================================
--- /extensions/hr_glass_xl/language/no_NO/index.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/no_NO/index.php	(revision 10827)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hr_glass_xl/language/no_NO/theme.lang.php
===================================================================
--- /extensions/hr_glass_xl/language/no_NO/theme.lang.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/no_NO/theme.lang.php	(revision 10827)
@@ -0,0 +1,8 @@
+<?php
+
+$lang['Display page banner on home page'] = 'Vis side banner på hjemme side';
+$lang['Display page banner on categories pages'] = 'Vis side banner på album sider';
+$lang['Display page banner on picture page'] = 'Vis side banner på bilde side';
+$lang['Display page banner on other pages'] = 'Vis side banner på andre sider';
+
+?>
Index: /extensions/hr_glass_xl/language/ru_RU/index.php
===================================================================
--- /extensions/hr_glass_xl/language/ru_RU/index.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/ru_RU/index.php	(revision 10827)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hr_glass_xl/language/ru_RU/theme.lang.php
===================================================================
--- /extensions/hr_glass_xl/language/ru_RU/theme.lang.php	(revision 10827)
+++ /extensions/hr_glass_xl/language/ru_RU/theme.lang.php	(revision 10827)
@@ -0,0 +1,8 @@
+<?php
+
+$lang['Display page banner on home page'] = 'Показывать баннер на главной странице';
+$lang['Display page banner on categories pages'] = 'Показывать баннер на странице категори (альбома)';
+$lang['Display page banner on picture page'] = 'Показывать баннер на странице с фотографией';
+$lang['Display page banner on other pages'] = 'Показывать баннер на других страницах';
+
+?>
Index: /extensions/hr_glass_xl/local_head.tpl
===================================================================
--- /extensions/hr_glass_xl/local_head.tpl	(revision 10826)
+++ /extensions/hr_glass_xl/local_head.tpl	(revision 10827)
@@ -2,2 +2,14 @@
 	<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/default/fix-ie5-ie6.css">
 <![endif]-->
+{if isset($display_hr_glass_xl_banner) and (!$display_hr_glass_xl_banner)}
+<style type="text/css">
+#{$BODY_ID}{literal} #theHeader { {/literal}
+	  background: url("{$ROOT_URL}themes/hr_glass_xl/img/header_back.png") repeat-x scroll center top transparent;{literal}
+    height: 25px;
+    margin: 0 auto;
+}{/literal}
+#{$BODY_ID}{literal} #theHeader * {
+	display:none;
+}{/literal}
+</style>
+{/if}
Index: /extensions/hr_glass_xl/themeconf.inc.php
===================================================================
--- /extensions/hr_glass_xl/themeconf.inc.php	(revision 10826)
+++ /extensions/hr_glass_xl/themeconf.inc.php	(revision 10827)
@@ -22,4 +22,28 @@
 {
   @include(PHPWG_ROOT_PATH.PWG_LOCAL_DIR. 'config/hr_glass_xl.inc.php');
+}
+// thx to P@t
+add_event_handler('loc_begin_page_header', 'set_hr_glass_xl_header');
+
+function set_hr_glass_xl_header()
+{
+  global $page, $conf, $template;
+
+  $config = unserialize($conf['hr_glass_xl']);
+
+  if (isset($page['body_id']) and $page['body_id'] == 'theCategoryPage')
+  {
+    $header = isset($page['category']) ? $config['categories'] : $config['home'];
+  }
+  elseif (isset($page['body_id']) and $page['body_id'] == 'thePicturePage')
+  {
+    $header = $config['picture'];
+  }
+  else
+  {
+    $header = $config['other'];
+  }
+
+  $template->assign('display_hr_glass_xl_banner', $header);
 }
 