Index: /extensions/Icons_Set/icons/GBO_hk-3/icon.css
===================================================================
--- /extensions/Icons_Set/icons/GBO_hk-3/icon.css	(revision 10831)
+++ /extensions/Icons_Set/icons/GBO_hk-3/icon.css	(revision 10832)
@@ -1,4 +1,7 @@
 @import '../../../../themes/default/iconset.css';
 
+
+
+@import '../../iconset_disabled.css';
 .pwg-icon {
 	background-image: url(outline_808080.png);
Index: /extensions/Icons_Set/icons/GBO_hk-3_clear/icon.css
===================================================================
--- /extensions/Icons_Set/icons/GBO_hk-3_clear/icon.css	(revision 10831)
+++ /extensions/Icons_Set/icons/GBO_hk-3_clear/icon.css	(revision 10832)
@@ -1,4 +1,7 @@
 @import '../../../../themes/default/iconset.css';
 
+
+
+@import '../../iconset_disabled.css';
 .pwg-icon {
 	background-image: url(outline_808060.png);
Index: /extensions/Icons_Set/icons/kardon/icon.css
===================================================================
--- /extensions/Icons_Set/icons/kardon/icon.css	(revision 10831)
+++ /extensions/Icons_Set/icons/kardon/icon.css	(revision 10832)
@@ -1,4 +1,7 @@
 @import '../../../../themes/default/iconset.css';
 
+
+
+@import '../../iconset_disabled.css';
 .pwg-icon {
 	background-image: url(icons_sprite.png);
Index: /extensions/Icons_Set/icons/old_sylvia/icon.css
===================================================================
--- /extensions/Icons_Set/icons/old_sylvia/icon.css	(revision 10831)
+++ /extensions/Icons_Set/icons/old_sylvia/icon.css	(revision 10832)
@@ -1,4 +1,7 @@
 @import '../../../../themes/default/iconset.css';
 
+
+
+@import '../../iconset_disabled.css';
 .pwg-icon, #iconBox_old_sylvia .pwg-icon {
 	background-image: url(showimage.png);
Index: /extensions/Icons_Set/icons/s26/outline_005e89.css
===================================================================
--- /extensions/Icons_Set/icons/s26/outline_005e89.css	(revision 10831)
+++ /extensions/Icons_Set/icons/s26/outline_005e89.css	(revision 10832)
@@ -1,4 +1,7 @@
 @import '../../../../themes/default/iconset.css';
 
+
+
+@import '../../iconset_disabled.css';
 .pwg-icon {
 	background-image: url(outline_005e89.png);
Index: /extensions/Icons_Set/icons/s26/outline_808060.css
===================================================================
--- /extensions/Icons_Set/icons/s26/outline_808060.css	(revision 10831)
+++ /extensions/Icons_Set/icons/s26/outline_808060.css	(revision 10832)
@@ -1,4 +1,7 @@
 @import '../../../../themes/default/iconset.css';
 
+
+
+@import '../../iconset_disabled.css';
 .pwg-icon {
 	background-image: url(outline_808060.png);
Index: /extensions/Icons_Set/icons/s26/outline_808080.css
===================================================================
--- /extensions/Icons_Set/icons/s26/outline_808080.css	(revision 10831)
+++ /extensions/Icons_Set/icons/s26/outline_808080.css	(revision 10832)
@@ -1,4 +1,7 @@
 @import '../../../../themes/default/iconset.css';
 
+
+
+@import '../../iconset_disabled.css';
 .pwg-icon {
 	background-image: url(outline_808080.png);
Index: /extensions/Icons_Set/icons/s26/outline_ff3363.css
===================================================================
--- /extensions/Icons_Set/icons/s26/outline_ff3363.css	(revision 10831)
+++ /extensions/Icons_Set/icons/s26/outline_ff3363.css	(revision 10832)
@@ -1,4 +1,7 @@
 @import '../../../../themes/default/iconset.css';
 
+
+
+@import '../../iconset_disabled.css';
 .pwg-icon {
 	background-image: url(outline_ff3363.png);
Index: /extensions/Icons_Set/icons/s26/outline_ff7700.css
===================================================================
--- /extensions/Icons_Set/icons/s26/outline_ff7700.css	(revision 10831)
+++ /extensions/Icons_Set/icons/s26/outline_ff7700.css	(revision 10832)
@@ -1,4 +1,7 @@
 @import '../../../../themes/default/iconset.css';
 
+
+
+@import '../../iconset_disabled.css';
 .pwg-icon {
 	background-image: url(outline_ff7700.png);
Index: /extensions/Icons_Set/icons/s26/outline_ffff80.css
===================================================================
--- /extensions/Icons_Set/icons/s26/outline_ffff80.css	(revision 10831)
+++ /extensions/Icons_Set/icons/s26/outline_ffff80.css	(revision 10832)
@@ -1,4 +1,7 @@
 @import '../../../../themes/default/iconset.css';
 
+
+
+@import '../../iconset_disabled.css';
 .pwg-icon {
 	background-image: url(outline_ffff80.png);
Index: /extensions/Icons_Set/icons/s26/outline_ffffff.css
===================================================================
--- /extensions/Icons_Set/icons/s26/outline_ffffff.css	(revision 10831)
+++ /extensions/Icons_Set/icons/s26/outline_ffffff.css	(revision 10832)
@@ -1,4 +1,7 @@
 @import '../../../../themes/default/iconset.css';
 
+
+
+@import '../../iconset_disabled.css';
 .pwg-icon {
 	background-image: url(outline_ffffff.png);
Index: /extensions/Icons_Set/icons/sakurabw/icon.css
===================================================================
--- /extensions/Icons_Set/icons/sakurabw/icon.css	(revision 10831)
+++ /extensions/Icons_Set/icons/sakurabw/icon.css	(revision 10832)
@@ -1,4 +1,7 @@
 @import '../../../../themes/default/iconset.css';
 
+
+
+@import '../../iconset_disabled.css';
 .pwg-icon {
 	background-image: url(icons_sprite.png);
Index: /extensions/Icons_Set/icons/sylvia/icon.css
===================================================================
--- /extensions/Icons_Set/icons/sylvia/icon.css	(revision 10831)
+++ /extensions/Icons_Set/icons/sylvia/icon.css	(revision 10832)
@@ -1,4 +1,7 @@
 @import '../../../../themes/default/iconset.css';
 
+
+
+@import '../../iconset_disabled.css';
 .pwg-icon {
 	background-image: url(outline_ff3363.png);
Index: /extensions/Icons_Set/icons/tango_bleu/icon.css
===================================================================
--- /extensions/Icons_Set/icons/tango_bleu/icon.css	(revision 10831)
+++ /extensions/Icons_Set/icons/tango_bleu/icon.css	(revision 10832)
@@ -1,4 +1,7 @@
 @import '../../../../themes/default/iconset.css';
 
+
+
+@import '../../iconset_disabled.css';
 .pwg-icon, A:hover .pwg-icon {
 	background-image: url(sprite.png);
Index: /extensions/Icons_Set/icons/tango_vert/icon.css
===================================================================
--- /extensions/Icons_Set/icons/tango_vert/icon.css	(revision 10831)
+++ /extensions/Icons_Set/icons/tango_vert/icon.css	(revision 10832)
@@ -1,4 +1,7 @@
 @import '../../../../themes/default/iconset.css';
 
+
+
+@import '../../iconset_disabled.css';
 .pwg-icon, A:hover .pwg-icon {
 	background-image: url(sprite.png);
Index: /extensions/Icons_Set/iconset_disabled.css
===================================================================
--- /extensions/Icons_Set/iconset_disabled.css	(revision 10832)
+++ /extensions/Icons_Set/iconset_disabled.css	(revision 10832)
@@ -0,0 +1,48 @@
+
+.pwg-state-disabled .pwg-icon-home {background-position: -26px 0}
+.pwg-state-disabled .pwg-icon-camera {background-position: -52px 0}
+.pwg-state-disabled .pwg-icon-save {background-position: -78px 0}
+.pwg-state-disabled .pwg-icon-cloud {background-position: -104px 0}
+.pwg-state-disabled .pwg-icon-letters {background-position: -130px 0}
+.pwg-state-disabled .pwg-icon-calendar {background-position: -156px 0}
+.pwg-state-disabled .pwg-icon-camera-calendar {background-position: -182px 0}
+
+.pwg-state-disabled .pwg-icon-arrow-n {background-position: 0 -26px}
+.pwg-state-disabled .pwg-icon-arrow-e {background-position: -26px -26px}
+.pwg-state-disabled .pwg-icon-arrow-s {background-position: -52px -26px}
+.pwg-state-disabled .pwg-icon-arrow-w {background-position: -78px -26px}
+.pwg-state-disabled .pwg-icon-arrowstop-n {background-position: -104px -26px}
+.pwg-state-disabled .pwg-icon-arrowstop-e {background-position: -130px -26px}
+.pwg-state-disabled .pwg-icon-arrowstop-s {background-position: -156px -26px}
+.pwg-state-disabled .pwg-icon-arrowstop-w {background-position: -182px -26px}
+
+.pwg-state-disabled .pwg-icon-close {background-position: 0 -52px}
+.pwg-state-disabled .pwg-icon-category-edit {background-position: -26px -52px}
+.pwg-state-disabled .pwg-icon-category-view-normal {background-position: -156px -52px}
+.pwg-state-disabled .pwg-icon-category-view-flat {background-position: -182px -52px}
+
+.pwg-state-disabled .pwg-icon-caddie {background-position: 0 -78px}
+.pwg-state-disabled .pwg-icon-caddie-add {background-position: -26px -78px}
+.pwg-state-disabled .pwg-icon-caddie-del {background-position: -52px -78px}
+.pwg-state-disabled .pwg-icon-favorite {background-position: -78px -78px}
+.pwg-state-disabled .pwg-icon-favorite-add {background-position: -104px -78px}
+.pwg-state-disabled .pwg-icon-favorite-del {background-position: -130px -78px}
+
+.pwg-state-disabled .pwg-icon-camera-info {background-position: 0 -104px}
+.pwg-state-disabled .pwg-icon-representative {background-position: -26px -104px}
+.pwg-state-disabled .pwg-icon-edit {background-position: -52px -104px}
+.pwg-state-disabled .pwg-icon-register {background-position: -78px -104px}
+.pwg-state-disabled .pwg-icon-lost-password {background-position: -104px -104px}
+
+.pwg-state-disabled .pwg-icon-slideshow {background-position: 0 -130px}
+.pwg-state-disabled .pwg-icon-play {background-position: -26px -130px}
+.pwg-state-disabled .pwg-icon-pause {background-position: -52px -130px}
+.pwg-state-disabled .pwg-icon-stop {background-position: -78px -130px}
+.pwg-state-disabled .pwg-icon-clock-plus {background-position: -104px -130px}
+.pwg-state-disabled .pwg-icon-clock-minus {background-position: -130px -130px}
+.pwg-state-disabled .pwg-icon-repeat-play {background-position: -156px -130px}
+.pwg-state-disabled .pwg-icon-repeat-stop {background-position: -182px -130px}
+
+.pwg-state-disabled .pwg-icon-map {background-position: 0 -156px}
+.pwg-state-disabled .pwg-icon-globe {background-position: -26px -156px}
+