Index: /extensions/Icons_Set/icons/default/default.css
===================================================================
--- /extensions/Icons_Set/icons/default/default.css	(revision 10836)
+++ /extensions/Icons_Set/icons/default/default.css	(revision 10836)
@@ -0,0 +1,46 @@
+@import '../../../../themes/default/iconset.css';
+@import '../../iconset_disabled.css';
+.pwg-icon, A:hover .pwg-icon {
+	background-image: url(sprite.png);
+}
+A.pwg-button {
+	border:none;
+}
+.pwg-icon-arrow-e{ background-position: 0 0; width: 24px; height: 24px; } 
+.pwg-state-disabled .pwg-icon-arrow-e{ background-position: -34px 0; width: 24px; height: 24px; } 
+.pwg-icon-arrow-n{ background-position: -68px 0; width: 24px; height: 24px; } 
+.pwg-icon-arrow-w{ background-position: -102px 0; width: 24px; height: 24px; } 
+.pwg-state-disabled .pwg-icon-arrow-w{ background-position: -136px 0; width: 24px; height: 24px; } 
+.pwg-icon-arrowstop-e{ background-position: -170px 0; width: 24px; height: 24px; } 
+.pwg-state-disabled .pwg-icon-arrowstop-e{ background-position: -204px 0; width: 24px; height: 24px; } 
+.pwg-icon-arrowstop-w{ background-position: -238px 0; width: 24px; height: 24px; } 
+.pwg-state-disabled .pwg-icon-arrowstop-w{ background-position: -272px 0; width: 24px; height: 24px; } 
+.pwg-icon-caddie-add{ background-position: -306px 0; width: 24px; height: 24px; } 
+.pwg-icon-calendar{ background-position: -340px 0; width: 22px; height: 22px; } 
+.pwg-icon-camera-calendar{ background-position: -372px 0; width: 24px; height: 24px; } 
+.pwg-icon-camera-info{ background-position: -406px 0; width: 24px; height: 24px; } 
+.pwg-icon-category-edit{ background-position: -440px 0; width: 24px; height: 24px; } 
+.pwg-icon-category-view-flat{ background-position: -474px 0; width: 24px; height: 24px; } 
+.pwg-icon-category-view-normal{ background-position: -508px 0; width: 24px; height: 24px; } 
+.pwg-icon-clock-minus{ background-position: -542px 0; width: 24px; height: 24px; } 
+.pwg-state-disabled .pwg-icon-clock-minus{ background-position: -576px 0; width: 24px; height: 24px; } 
+.pwg-icon-clock-plus{ background-position: -610px 0; width: 24px; height: 24px; } 
+.pwg-state-disabled .pwg-icon-clock-plus{ background-position: -644px 0; width: 24px; height: 24px; } 
+.pwg-icon-close{ background-position: -678px 0; width: 24px; height: 24px; } 
+.pwg-icon-cloud{ background-position: -712px 0; width: 22px; height: 22px; } 
+.pwg-icon-edit{ background-position: -744px 0; width: 24px; height: 24px; } 
+.pwg-icon-favorite-del{ background-position: -778px 0; width: 24px; height: 24px; } 
+.pwg-icon-favorite{ background-position: -812px 0; width: 24px; height: 24px; } 
+.pwg-icon-favorite-add{ background-position: -812px 0; width: 24px; height: 24px; } 
+.pwg-icon-help{ background-position: -846px 0; width: 24px; height: 24px; } 
+.pwg-icon-home{ background-position: -880px 0; width: 24px; height: 24px; } 
+.pwg-icon-letters{ background-position: -914px 0; width: 22px; height: 22px; } 
+.pwg-icon-lost-password{ background-position: -946px 0; width: 24px; height: 24px; } 
+.pwg-icon-pause{ background-position: -980px 0; width: 24px; height: 24px; } 
+.pwg-icon-play{ background-position: -1014px 0; width: 24px; height: 24px; } 
+.pwg-icon-register{ background-position: -1048px 0; width: 24px; height: 24px; } 
+.pwg-icon-repeat-play{ background-position: -1082px 0; width: 24px; height: 24px; } 
+.pwg-icon-repeat-stop{ background-position: -1116px 0; width: 24px; height: 24px; } 
+.pwg-icon-representative{ background-position: -1150px 0; width: 24px; height: 24px; } 
+.pwg-icon-save{ background-position: -1184px 0; width: 24px; height: 24px; } 
+.pwg-icon-slideshow{ background-position: -1218px 0; width: 24px; height: 24px; } 
Index: /extensions/Icons_Set/icons/default/icon_admin.css
===================================================================
--- /extensions/Icons_Set/icons/default/icon_admin.css	(revision 10836)
+++ /extensions/Icons_Set/icons/default/icon_admin.css	(revision 10836)
@@ -0,0 +1,41 @@
+#iconBox_default .pwg-icon, #iconBox_default A:hover .pwg-icon {
+	background-image: url(sprite.png);
+}
+#iconBox_default .pwg-icon-arrow-e{ background-position: 0 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-state-disabled .pwg-icon-arrow-e{ background-position: -34px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-arrow-n{ background-position: -68px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-arrow-w{ background-position: -102px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-state-disabled .pwg-icon-arrow-w{ background-position: -136px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-arrowstop-e{ background-position: -170px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-state-disabled .pwg-icon-arrowstop-e{ background-position: -204px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-arrowstop-w{ background-position: -238px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-state-disabled .pwg-icon-arrowstop-w{ background-position: -272px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-caddie-add{ background-position: -306px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-calendar{ background-position: -340px 0; width: 22px; height: 22px; } 
+#iconBox_default .pwg-icon-camera-calendar{ background-position: -372px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-camera-info{ background-position: -406px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-category-edit{ background-position: -440px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-category-view-flat{ background-position: -474px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-category-view-normal{ background-position: -508px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-clock-minus{ background-position: -542px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-state-disabled .pwg-icon-clock-minus{ background-position: -576px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-clock-plus{ background-position: -610px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-state-disabled .pwg-icon-clock-plus{ background-position: -644px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-close{ background-position: -678px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-cloud{ background-position: -712px 0; width: 22px; height: 22px; } 
+#iconBox_default .pwg-icon-edit{ background-position: -744px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-favorite-del{ background-position: -778px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-favorite{ background-position: -812px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-favorite-add{ background-position: -812px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-help{ background-position: -846px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-home{ background-position: -880px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-letters{ background-position: -914px 0; width: 22px; height: 22px; } 
+#iconBox_default .pwg-icon-lost-password{ background-position: -946px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-pause{ background-position: -980px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-play{ background-position: -1014px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-register{ background-position: -1048px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-repeat-play{ background-position: -1082px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-repeat-stop{ background-position: -1116px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-representative{ background-position: -1150px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-save{ background-position: -1184px 0; width: 24px; height: 24px; } 
+#iconBox_default .pwg-icon-slideshow{ background-position: -1218px 0; width: 24px; height: 24px; } 
Index: /extensions/Icons_Set/icons/default/iconset.conf.php
===================================================================
--- /extensions/Icons_Set/icons/default/iconset.conf.php	(revision 10836)
+++ /extensions/Icons_Set/icons/default/iconset.conf.php	(revision 10836)
@@ -0,0 +1,10 @@
+<?php
+$iconsetconf = array(
+  'name' => 'Default',
+  'id' => 'default',
+  'icon_file' => ICONSET_PATH.'icons/default/sprite.png',
+  'css_file' => ICONSET_PATH.'icons/default/default.css',
+  'css_file_admin' => ICONSET_PATH.'icons/default/icon_admin.css',
+);
+
+?>
Index: /extensions/Icons_Set/icons/default/index.php
===================================================================
--- /extensions/Icons_Set/icons/default/index.php	(revision 10836)
+++ /extensions/Icons_Set/icons/default/index.php	(revision 10836)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Icons_Set/template/admin.tpl
===================================================================
--- /extensions/Icons_Set/template/admin.tpl	(revision 10835)
+++ /extensions/Icons_Set/template/admin.tpl	(revision 10836)
@@ -37,5 +37,5 @@
             <li><a href="#" title="{'Show file metadata'|@translate}" class="pwg-state-default pwg-button" rel="nofollow"> <span class="pwg-icon pwg-icon-camera-info"> </span><span class="pwg-button-text">{'Show file metadata'|@translate}</span> </a></li>
             <li><a href="{$current.U_DOWNLOAD}" title="{'download this file'|@translate}" class="pwg-state-default pwg-button" rel="nofollow"> <span class="pwg-icon pwg-icon-save"> </span><span class="pwg-button-text">{'download'|@translate}</span> </a></li>
-            <li><a href="#" title="{if $favorite.IS_FAVORITE}{'delete this photo from your favorites'|@translate}{else}{'add this photo to your favorites'|@translate}{/if}" class="pwg-state-default pwg-button" rel="nofollow"> <span class="pwg-icon pwg-icon-favorite-{if $favorite.IS_FAVORITE}del{else}add{/if}"> </span><span class="pwg-button-text">{'Favorites'|@translate}</span> </a></li>
+            <li><a href="#" title="{if $favorite.IS_FAVORITE}{'delete this photo from your favorites'|@translate}{else}{'add this photo to your favorites'|@translate}{/if}" class="pwg-state-default pwg-button" rel="nofollow"> <span class="pwg-icon pwg-icon-favorite-add"> </span><span class="pwg-button-text">{'Favorites'|@translate}</span> </a></li>
             <li><a href="#" title="{'set as album representative'|@translate}" class="pwg-state-default pwg-button" rel="nofollow"> <span class="pwg-icon pwg-icon-representative"> </span><span class="pwg-button-text">{'representative'|@translate}</span> </a></li>
             <li><a href="#" title="{'Modify information'|@translate}" class="pwg-state-default pwg-button" rel="nofollow"> <span class="pwg-icon pwg-icon-edit"> </span><span class="pwg-button-text">{'edit'|@translate}</span> </a></li>