Index: extensions/Autosize/language/fr_FR/index.php
===================================================================
--- extensions/Autosize/language/fr_FR/index.php	(revision 10842)
+++ extensions/Autosize/language/fr_FR/index.php	(revision 10842)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Autosize/language/nl_NL/description.txt
===================================================================
--- extensions/Autosize/language/nl_NL/description.txt	(revision 10842)
+++ extensions/Autosize/language/nl_NL/description.txt	(revision 10842)
@@ -0,0 +1,1 @@
+Zorgt voor automatisch aanpassen van de grootte van de foto's, ten opzichte van de schermgrootte.
Index: extensions/Autosize/language/nl_NL/index.php
===================================================================
--- extensions/Autosize/language/nl_NL/index.php	(revision 10842)
+++ extensions/Autosize/language/nl_NL/index.php	(revision 10842)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Autosize/language/nl_NL/lang.php
===================================================================
--- extensions/Autosize/language/nl_NL/lang.php	(revision 10842)
+++ extensions/Autosize/language/nl_NL/lang.php	(revision 10842)
@@ -0,0 +1,28 @@
+<?php
+global $lang;
+
+$lang['cl_autosize_miniheight2'] = 'Minimale hoogte v/d foto grootte';
+$lang['cl_autosize_miniwidth2'] = 'Minimale breedte v/d foto grootte';
+$lang['cl_autosize_hlp_line32'] = "Minimale foto grootte";
+$lang['cl_autosize_enabled'] = "Ingeschakeld";
+$lang['cl_autosize_desc_view'] = "Voeg de beschrijving en de licentie toe aan de berekening.";
+$lang['cl_autosize_icon_view'] = "Geef een icoon in de werkbalk weer";
+$lang['cl_autosize_info_2'] = "Geen herschaling weergave";
+$lang['cl_autosize_info'] = 'Zorgt voor automatisch aanpassen van de grootte van de foto\s, ten opzichte van de schermgrootte. ';
+$lang['cl_autosize_Howto'] = 'Geef management weer';
+$lang['cl_autosize_config_title_1'] = 'Maximale waarde management';
+$lang['cl_autosize_hlp_line1'] = 'Maximale grootte van de weergave ten opzichte van de gebruiker status.<br>Waardes zijn per percentage (%) of per pixel ([x).';
+$lang['cl_autosize_height'] = 'Hoogte';
+$lang['cl_autosize_width'] = 'Breedte';
+$lang['cl_autosize_config_title_2'] = 'Minimale waardes';
+$lang['cl_autosize_hlp_line2'] = 'Minimale foto grootte om automatisch herschalen te activeren.';
+$lang['cl_autosize_miniheight'] = 'Minimale hoogte';
+$lang['cl_autosize_miniwidth'] = 'Minimale breedte';
+$lang['cl_autosize_hlp_line3'] = 'Het automatisch herschalen zal gedeactiveerd worden als de grootte van de foto kleiner is dan deze waarde.';
+$lang['cl_autosize_echelle_max'] = 'Maximale schaal';
+$lang['cl_autosize_hlp_line4'] = 'Het automatisch herschalen zal afgekapt worden tot deze waarde, als de vergrotings schaal (foto grootte / herschaling grootte) groter is.';
+$lang['cl_autosize_marge_basse'] = 'Laagste marge';
+$lang['cl_autosize_hlp_line5'] = 'Onderaan bewaarde ruimte, om de legenda weer te geven.';
+$lang['cl_autosize_save'] = 'Opslaan';
+$lang['cl_autosize_save_config'] = 'Bewaar de configuratie.';
+?>