Index: /extensions/stripped_black_bloc/index.php
===================================================================
--- /extensions/stripped_black_bloc/index.php	(revision 10851)
+++ /extensions/stripped_black_bloc/index.php	(revision 10851)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/stripped_black_bloc/js/masonry.js
===================================================================
--- /extensions/stripped_black_bloc/js/masonry.js	(revision 10851)
+++ /extensions/stripped_black_bloc/js/masonry.js	(revision 10851)
@@ -0,0 +1,12 @@
+/*************************************************
+**  jQuery Masonry version 1.3.2
+**  Copyright David DeSandro, licensed MIT
+**  http://desandro.com/resources/jquery-masonry
+**************************************************/
+(function(e){var n=e.event,o;n.special.smartresize={setup:function(){e(this).bind("resize",n.special.smartresize.handler)},teardown:function(){e(this).unbind("resize",n.special.smartresize.handler)},handler:function(j,l){var g=this,d=arguments;j.type="smartresize";o&&clearTimeout(o);o=setTimeout(function(){jQuery.event.handle.apply(g,d)},l==="execAsap"?0:100)}};e.fn.smartresize=function(j){return j?this.bind("smartresize",j):this.trigger("smartresize",["execAsap"])};e.fn.masonry=function(j,l){var g=
+{getBricks:function(d,b,a){var c=a.itemSelector===undefined;b.$bricks=a.appendedContent===undefined?c?d.children():d.find(a.itemSelector):c?a.appendedContent:a.appendedContent.filter(a.itemSelector)},placeBrick:function(d,b,a,c,h){b=Math.min.apply(Math,a);for(var i=b+d.outerHeight(true),f=a.length,k=f,m=c.colCount+1-f;f--;)if(a[f]==b)k=f;d.applyStyle({left:c.colW*k+c.posLeft,top:b},e.extend(true,{},h.animationOptions));for(f=0;f<m;f++)c.colY[k+f]=i},setup:function(d,b,a){g.getBricks(d,a,b);if(a.masoned)a.previousData=
+d.data("masonry");a.colW=b.columnWidth===undefined?a.masoned?a.previousData.colW:a.$bricks.outerWidth(true):b.columnWidth;a.colCount=Math.floor(d.width()/a.colW);a.colCount=Math.max(a.colCount,1)},arrange:function(d,b,a){var c;if(!a.masoned||b.appendedContent!==undefined)a.$bricks.css("position","absolute");if(a.masoned){a.posTop=a.previousData.posTop;a.posLeft=a.previousData.posLeft}else{d.css("position","relative");var h=e(document.createElement("div"));d.prepend(h);a.posTop=Math.round(h.position().top);
+a.posLeft=Math.round(h.position().left);h.remove()}if(a.masoned&&b.appendedContent!==undefined){a.colY=a.previousData.colY;for(c=a.previousData.colCount;c<a.colCount;c++)a.colY[c]=a.posTop}else{a.colY=[];for(c=a.colCount;c--;)a.colY.push(a.posTop)}e.fn.applyStyle=a.masoned&&b.animate?e.fn.animate:e.fn.css;b.singleMode?a.$bricks.each(function(){var i=e(this);g.placeBrick(i,a.colCount,a.colY,a,b)}):a.$bricks.each(function(){var i=e(this),f=Math.ceil(i.outerWidth(true)/a.colW);f=Math.min(f,a.colCount);
+if(f===1)g.placeBrick(i,a.colCount,a.colY,a,b);else{var k=a.colCount+1-f,m=[];for(c=0;c<k;c++){var p=a.colY.slice(c,c+f);m[c]=Math.max.apply(Math,p)}g.placeBrick(i,k,m,a,b)}});a.wallH=Math.max.apply(Math,a.colY);d.applyStyle({height:a.wallH-a.posTop},e.extend(true,[],b.animationOptions));a.masoned||setTimeout(function(){d.addClass("masoned")},1);l.call(a.$bricks);d.data("masonry",a)},resize:function(d,b,a){a.masoned=!!d.data("masonry");var c=d.data("masonry").colCount;g.setup(d,b,a);a.colCount!=c&&
+g.arrange(d,b,a)}};return this.each(function(){var d=e(this),b={};b.masoned=!!d.data("masonry");var a=b.masoned?d.data("masonry").options:{},c=e.extend({},e.fn.masonry.defaults,a,j),h=a.resizeable;b.options=c.saveOptions?c:a;l=l||function(){};g.getBricks(d,b,c);if(!b.$bricks.length)return this;g.setup(d,c,b);g.arrange(d,c,b);!h&&c.resizeable&&e(window).bind("smartresize.masonry",function(){g.resize(d,c,b)});h&&!c.resizeable&&e(window).unbind("smartresize.masonry")})};e.fn.masonry.defaults={singleMode:false,
+columnWidth:undefined,itemSelector:undefined,appendedContent:undefined,saveOptions:true,resizeable:true,animate:false,animationOptions:{}}})(jQuery);
Index: /extensions/stripped_black_bloc/local_head.tpl
===================================================================
--- /extensions/stripped_black_bloc/local_head.tpl	(revision 10851)
+++ /extensions/stripped_black_bloc/local_head.tpl	(revision 10851)
@@ -0,0 +1,31 @@
+{if ($BODY_ID=='theCategoryPage')}
+{combine_script id='jquery.masonry' load='header' require='jquery' path='themes/stripped_black_bloc/js/masonry.js'}
+{html_head}{literal} 
+<script type="text/javascript">
+function tnb_resize() {
+	$('#subcontent').masonry({
+		singleMode: true, 
+		columnWidth: 200, 
+		itemSelector: '.bloc',
+		animate: true
+	});
+
+}
+
+jQuery(document).ready(function(){
+	$('#subcontent').masonry({
+		  singleMode: true, 
+		columnWidth: 200, 
+		itemSelector: '.bloc',
+		animate: true
+	});
+	
+$(".bloc a").hover(function() { $(this).fadeTo(500, 1); }, function() { $(this).fadeTo(500, 0.75);  });
+});
+	jQuery("#menuswitcher").click(function(){
+
+});
+  </script> 
+{/literal}
+{/html_head}
+{/if}
Index: /extensions/stripped_black_bloc/template/index.tpl
===================================================================
--- /extensions/stripped_black_bloc/template/index.tpl	(revision 10851)
+++ /extensions/stripped_black_bloc/template/index.tpl	(revision 10851)
@@ -0,0 +1,93 @@
+<div class="titrePage">
+	<div class="browsePath">
+		<span id="menuswitcher" title="{'Show/hide menu'|@translate}">Menu</span><span class="arrow"> »</span>
+		<h2>{$TITLE}</h2>
+	</div>
+	{if isset($U_EDIT) or isset($U_SLIDESHOW) or !empty($PLUGIN_INDEX_ACTIONS)}
+		<ul class="categoryActions">
+			{if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
+			{if isset($U_EDIT)}
+				<li><a href="{$U_EDIT}" title="{'edit'|@translate}">{'edit'|@translate}</a></li>
+			{/if}
+			{if isset($U_CADDIE) }
+				<li><a href="{$U_CADDIE}" title="{'add to caddie'|@translate}">{'caddie'|@translate}</a></li>
+			{/if}
+			{if isset($U_SLIDESHOW)}
+				<li><a href="{$U_SLIDESHOW}" title="{'slideshow'|@translate}" rel="nofollow">{'slideshow'|@translate}</a></li>
+			{/if}
+		</ul>
+	{/if}
+	{php}
+		global $pwg_loaded_plugins;
+		$this->assign('GMaps_loaded', isset($pwg_loaded_plugins[ 'GMaps' ]));
+	{/php}
+	{if ($GMaps_loaded)}<div id="text_gmaps" style="display:none">{'GMap'|@translate}</div>{/if}
+</div>
+<table id="content" {if !$stripped.hideMenu}class="menuShown"{/if} cellpadding="0px" cellspacing="0px">
+	<tbody>
+  <tr>
+	{$MENUBAR}
+	<td id="subcontent">
+		{if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}
+		{if isset($chronology.TITLE) }
+			<h2>{$chronology.TITLE}</h2>
+		{/if}
+		{if isset($chronology_views) }
+			{if isset($U_MODE_POSTED) }
+				<a href="{$U_MODE_POSTED}" rel="nofollow">{'display a calendar by posted date'|@translate}</a>
+			{/if}
+			{if isset($U_MODE_CREATED) }
+				<a href="{$U_MODE_CREATED}" rel="nofollow">{'display a calendar by creation date'|@translate}</a>
+			{/if}
+			<div class="calendarViews">{'View'|@translate}:
+				<select onchange="document.location = this.options[this.selectedIndex].value;">
+					{foreach from=$chronology_views item=view}
+						<option value="{$view.VALUE}"{if $view.SELECTED} selected="selected"{/if}>{$view.CONTENT}</option>
+					{/foreach}
+				</select>
+			</div>
+		{/if}
+
+		{if !empty($PLUGIN_INDEX_CONTENT_BEGIN)}<div class="content_block">{$PLUGIN_INDEX_CONTENT_BEGIN}</div>{/if}
+		{if !empty($category_search_results) }
+			<div>{'Album results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+				{foreach from=$category_search_results item=res name=res_loop}
+				{if !$smarty.foreach.res_loop.first} &mdash; {/if}
+				{$res}
+				{/foreach}
+			</div>
+		{/if}
+		{if !empty($tag_search_results) }
+			<div>{'Tag results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+				{foreach from=$tag_search_results item=res name=res_loop}
+					{if !$smarty.foreach.res_loop.first} &mdash; {/if}
+					{$res}
+				{/foreach}
+			</div>
+		{/if}
+		{if isset($FILE_CHRONOLOGY_VIEW) }
+			{include file=$FILE_CHRONOLOGY_VIEW}
+		{/if}
+
+		{if !empty($CATEGORIES) }{$CATEGORIES}{/if}
+		{if !empty($THUMBNAILS) }
+					{$THUMBNAILS}
+					{if !empty($navbar) }
+						{include file='navigation_thumb.tpl'|@get_extent:'navbar'}
+					{/if}
+					{if !empty($navbar) }
+						{include file='navigation_bar.tpl'|@get_extent:'navbar'}
+					{/if}
+		{/if}
+		{if !empty($PLUGIN_INDEX_CONTENT_END) }{$PLUGIN_INDEX_CONTENT_END}{/if}
+		{if !empty($CONTENT_DESCRIPTION) }
+			<div class="content_block"><div class="additional_info">
+				{$CONTENT_DESCRIPTION}
+			</div></div>
+		{/if}
+		{if !empty($PLUGIN_INDEX_CONTENT_AFTER)}{$PLUGIN_INDEX_CONTENT_AFTER}{/if}
+	<div style="clear: both;"></div>
+	</td>
+  </tr> <!-- subContent -->
+  </tbody>
+</table> <!-- content -->
Index: /extensions/stripped_black_bloc/template/stuffs_blocks.tpl
===================================================================
--- /extensions/stripped_black_bloc/template/stuffs_blocks.tpl	(revision 10851)
+++ /extensions/stripped_black_bloc/template/stuffs_blocks.tpl	(revision 10851)
@@ -0,0 +1,21 @@
+{foreach from=$blocks item=block key=key}
+    <div id="stuffs_block_{$block.ID}" class="content bloc {$block.CLASS} {$block.TEMPLATE|replace:'.tpl':''}" {if !empty($block.WIDTH)}style="width: {$block.WIDTH}%;"{/if}>
+    {if isset($block.TITLE)}
+      <div class="titrePage">
+        {if !empty($block.U_EDIT)}
+        <ul class="categoryActions">
+          <li><a href="{$block.U_EDIT}" title="{'edit'|@translate}" class="pwg-state-default pwg-button">
+            <span class="pwg-icon pwg-icon-category-edit"> </span><span class="pwg-button-text">{'edit'|@translate}</span>
+	         	</a></li>
+        </ul>
+        {/if}
+      {if isset($block.TITLE_URL)}
+      <h2><a href="{$block.TITLE_URL}">{$block.TITLE}</a></h2>
+      {else}
+      <h2>{$block.TITLE}</h2>
+      {/if}
+      </div>
+    {/if}
+    {include file=$block.TEMPLATE}
+    </div>
+{/foreach}
Index: /extensions/stripped_black_bloc/template/thumbnails.tpl
===================================================================
--- /extensions/stripped_black_bloc/template/thumbnails.tpl	(revision 10851)
+++ /extensions/stripped_black_bloc/template/thumbnails.tpl	(revision 10851)
@@ -0,0 +1,10 @@
+{if !empty($thumbnails)}
+  {foreach from=$thumbnails item=thumbnail}
+  <div class="bloc">
+        <a href="{$thumbnail.URL}" style="background: url({$thumbnail.TN_SRC}) no-repeat scroll center center transparent; height: {$thumbnail.TN_HEIGHT}px; width: {$thumbnail.TN_WIDTH}px; opacity: 0.75; max-width:150px;" >
+          {if isset($thumbnail.NAME)}{$thumbnail.NAME}{else}{$thumbnail.TN_TITLE}{/if}
+        </a>
+        <div class="title">{if isset($thumbnail.NAME)}{$thumbnail.NAME}{else}{$thumbnail.TN_TITLE}{/if}</div>
+	</div>
+  {/foreach}
+{/if}
Index: /extensions/stripped_black_bloc/theme.css
===================================================================
--- /extensions/stripped_black_bloc/theme.css	(revision 10851)
+++ /extensions/stripped_black_bloc/theme.css	(revision 10851)
@@ -0,0 +1,58 @@
+#theCategoryPage #content, #content, #subcontent, #the_page {
+    max-width: none;
+}
+#theCommentsPage #content,
+#theUploadPage #content,
+#theRegisterPage #content,
+#theIdentificationPage #content,
+#theProfilePage #content,
+#theSearchPage #content,
+#theAboutPage #content,
+#thePopuphelpPage #content,
+#thePasswordPage #content,
+#theNotificationPage #content,
+#theTagsPage #content,
+#theNBMPage #content
+{
+	width:auto;
+}
+.bloc {
+	 	display: block;
+    margin: 3px;
+    padding: 5px;
+    width: 150px;
+}
+.bloc * {
+    position: relative;
+}
+.bloc .title {
+	    color: #FFFFFF;
+    left: 6px;
+    max-width: 138px !important;
+    padding: 7px 10px 6px;
+    position: absolute;
+    top: 6px;
+    z-index: 1;
+    background-image: url("img/btn.png");
+    border-radius: 5px 5px 5px 5px;
+    cursor: pointer;
+    display: block;
+    float: left;
+    font-family: Helvetica,Arial,sans-serif;
+    font-size: 9px;
+    font-weight: bold;
+    margin-right: 5px;
+    padding: 7px 10px 8px;
+    text-align: center;
+    text-decoration: none;
+    text-transform: uppercase;
+    white-space: normal;
+}
+.bloc a {
+    border-radius: 5px 5px 5px 5px;
+    display: block;
+    overflow: hidden;
+    position: relative;
+    text-indent: -9999px;
+    width: 160px;
+}
Index: /extensions/stripped_black_bloc/themeconf.inc.php
===================================================================
--- /extensions/stripped_black_bloc/themeconf.inc.php	(revision 10851)
+++ /extensions/stripped_black_bloc/themeconf.inc.php	(revision 10851)
@@ -0,0 +1,37 @@
+<?php
+/*
+Theme Name: stripped_black_bloc
+Version: 0
+Description: stripped_black_bloc
+Theme URI: http://piwigo.org/ext/extension_view.php?eid=
+Author: 
+Author URI: 
+*/
+
+
+	
+$themeconf = array(
+  'parent' => 'stripped',
+  'name' => 'stripped_black_bloc',
+  'theme_dir' => 'stripped_black_bloc',
+  'icon_dir' => 'themes/stripped/icon',
+  'admin_icon_dir' => 'themes/default/icon/admin',
+  'mime_icon_dir' => 'themes/default/icon/mimetypes/',
+  'local_head' => 'local_head.tpl',
+);
+add_event_handler('loc_end_index_thumbnails', 'MY');
+function MY($tpl_thumbnails_var)
+{
+    global $template;
+		$new_tplvar=array();
+		foreach ($tpl_thumbnails_var as $tplvar)
+		{
+			list($width, $height, $type, $attr) = getimagesize(	$tplvar['TN_SRC'] );
+			$tplvar['TN_WIDTH']=$width;
+			$tplvar['TN_HEIGHT']=$height;
+			$new_tplvar[]=$tplvar;
+		}
+		return $new_tplvar;
+}
+
+?>